nz-table(#repositoryScanModules, [nzData]="modules")
  thead((nzSortOrderChange)="onSortChange($event)")
    tr
      th(nzColumnKey="status", [nzSortFn]="true") Status
      th Path
      th(nzColumnKey="name", [nzSortFn]="true") Name
      th Commit
      th Version
      th ID
      th Action
  tbody
    tr(*ngFor="let item of repositoryScanModules.data; trackBy: trackModuleByMetadata")
      td
        ryax-status-tag(*ngIf="!hasErrors(item)", label="Success", color="green")
        ryax-status-tag(*ngIf="hasErrors(item)", label="Error", color="red", [text]="item.error")
      td
        span.ellipsis(nz-tooltip, nzTooltipTitle="{{ item.path }}") {{ item.path }}
      td
        span {{ item.name | default: '-' }}
      td
        span.ellipsis.sha(nz-tooltip, nzTooltipTitle="{{ item.sha }}") {{ item.sha | default: '-' }}
      td
        span {{ item.version | default: '-'  }}
      td
        span {{ item.technicalName }}
      td
        div
          ryax-action-button(*ngIf="!item.error && !isDuplicated(item) && !hasErrors(item)", size="small", shape="circle", icon="thunderbolt", tooltipText="Build module",
            [disabled]="buildDisabled(item)", (click)="buildModule(item.id)")
          ryax-action-button(*ngIf="isDuplicated(item)", size="small", shape="circle", icon="stop", (click)="openDuplicateModal()", tooltipText="This module is already built")
          ryax-action-button(*ngIf="hasErrors(item)", size="small", shape="circle", icon="exclamation", (click)="openScanErrorModal(item)", tooltipText="Get more info why the build fails")
